Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033063
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2016-05-26 17:052016-06-29 17:39
ReportermaiteView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q3
StatusclosedFix in branchFixed in SCM revision86811a139d3e
ProjectionnoneETAnoneTarget Version3.0PR16Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033063: It should be possible to run "Reset Accounting" process for several organization at once

DescriptionAt the moment, user needs to execute process for each Legal With Accounting organization. Depending on organization's structure this is a hard task and would be useful to be able to run it for several organizations (multiple selector) and also for several (but not all) tables (multiple selector)
Steps To Reproduce1. Access to Reset Accounting menu entry and realize that only "EspaƱa" and "US" organizations are available and also that you can not select a list of tables but a single one or all of them
Proposed Solution- Add * to Organization selector in order to reset accounting for all the child organizations in cascade.
- Change Table selector to a multi-selector to allow run reset accounting for multiple tables in the same batch.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 00331943.0PR16Q3 closedalostale Access not granted to Multi Selector Entity 
related to feature request 0024321 closednonofrancisco It would be nice to be able to schedule Reset Accounting process 
related to defect 0033205 acknowledgedplatform Start in new line is not working fine in Process Definition 
related to defect 0037422 closedmarkmm82 Reset Accounting finishes with error if it is launched for an org with "Organization" type and the type name has been changed 
related to defect 0038218 closedmarkmm82 'Delete failed' error in Reset Accounting process if it is launched for 'Organization' type org without legal children 

-  Notes
(0087222)
hgbot (developer)
2016-06-14 09:04

Repository: erp/devel/pi
Changeset: 86811a139d3ee99634aeae39604931a5d393f613
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Jun 06 11:21:31 2016 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/86811a139d3ee99634aeae39604931a5d393f613 [^]

Fixes issue 33063: "Reset Accounting" for several organization & tables at once

A new "Reset Accounting" Process Definiton is created to replace the functionality of the "Reset Accounting" process, but allowing to select multiple tables at once and also to select the "*" organization to process all the organizations when the reset accountings process is executed.

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_TREENODE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src-db/database/sourcedata/OBUIAPP_PROCESS.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src/org/openbravo/financial/ResetAccounting.java
A src/org/openbravo/common/actionhandler/ResetAccountingHandler.java
---
(0087223)
hgbot (developer)
2016-06-14 09:04

Repository: erp/devel/pi
Changeset: 65ca52c8587f6987f60450fa49d77a530582e92f
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 13 10:23:13 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/65ca52c8587f6987f60450fa49d77a530582e92f [^]

Related to issue 33063: Code review improvements

- Client parameter: change selector, add default value and remove selector fields.
- Organization parameter: change selector and where clause, add default value and remove selector fields.
- Table parameter: change selector and where clause, change table from ADTable to ADTablePostV and remove selector fields.
- Remove unnecessary created ad_ref_table and ad_val_rule records.
- Deactivate and deprecate old Reset Accounting process.
- Remove recordId parameter and get correctly datefrom and dateto fields in ResetAccountingHandler.java class.
- Add getLegalOrBusinessOrgsChilds method in ResetAccounting.java class to retrieve every legal and business unit together with their child organizations from selected client in case * organization has been selected.
- Call getCalendarId for each organization in the loop to avoid errors when adOrgId is '0'.

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_TABLE.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src-db/database/sourcedata/OBUIAPP_PARAMETER.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src/org/openbravo/common/actionhandler/ResetAccountingHandler.java
M src/org/openbravo/erpCommon/ad_process/ResetAccountingProcess.java
M src/org/openbravo/financial/ResetAccounting.java
---
(0087224)
hgbot (developer)
2016-06-14 09:04

Repository: erp/devel/pi
Changeset: 72f63dfd90cd17422c44e033cb61a727d4b4e8a0
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Mon Jun 13 14:14:17 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/72f63dfd90cd17422c44e033cb61a727d4b4e8a0 [^]

Related to issue 33063: Add modulescript to add process definition access

Create a modulescript to add process definition access to any role which had access to old Reset Accounting process.
It will be run only once when doing update.database.

---
A src-util/modulescript/build/classes/org/openbravo/modulescript/ResetAccountingAccess.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/ResetAccountingAccessData.class
A src-util/modulescript/src/org/openbravo/modulescript/ResetAccountingAccess.java
A src-util/modulescript/src/org/openbravo/modulescript/ResetAccountingAccess_data.xsql
---
(0087225)
aferraz (developer)
2016-06-14 09:06

Code review + Testing OK
(0087361)
hgbot (developer)
2016-06-16 17:38

Repository: tools/automation/int
Changeset: 47b6da866e65475c535a82319d227da1847dd6ab
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Jun 15 11:04:10 2016 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/47b6da866e65475c535a82319d227da1847dd6ab [^]

Related to issue 33063: Change ResetAccountingPopUP with ResetAccountingProcess

---
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/accounting/testsuites/ResetAllAccountingEntries.java
M src-test/com/openbravo/test/integration/erp/testscripts/financial/accounting/transactions/ResetAccounting.java
A src-test/com/openbravo/test/integration/erp/gui/financial/accounting/transactions/ResetAccountingProcess.java
---
(0087611)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087612)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0087613)
hudsonbot (developer)
2016-06-17 19:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0dc7be081b1c [^]
Maturity status: Test
(0088076)
hgbot (developer)
2016-06-29 12:54

Repository: erp/devel/pi
Changeset: 2711fe8a20bc9c3c1e5bccb6bdfe5c74a685aa7e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Jun 29 12:40:27 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2711fe8a20bc9c3c1e5bccb6bdfe5c74a685aa7e [^]

Related to issue 33063: Enable Organization type orgs in Reset Accounting

---
M src-db/database/sourcedata/OBUISEL_SELECTOR.xml
M src-db/database/sourcedata/OBUISEL_SELECTOR_FIELD.xml
M src/org/openbravo/financial/ResetAccounting.java
---
(0088087)
hudsonbot (developer)
2016-06-29 17:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/01b523ba4ddf [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-05-26 17:05 maite New Issue
2016-05-26 17:05 maite Assigned To => Triage Finance
2016-05-26 17:05 maite Modules => Core
2016-05-26 17:05 maite Triggers an Emergency Pack => No
2016-05-26 17:05 maite Assigned To Triage Finance => dmitry_mezentsev
2016-05-26 17:05 maite Issue Monitored: networkb
2016-05-26 17:06 maite Relationship added related to 0024321
2016-05-27 12:50 maite Summary It should be possible to run "Reset Accounting" process for * organization => It should be possible to run "Reset Accounting" process for several organization at once
2016-05-27 12:50 maite Description Updated View Revisions
2016-05-27 12:50 maite Steps to Reproduce Updated View Revisions
2016-05-27 12:50 maite Proposed Solution updated
2016-06-01 12:35 maite Type design defect => defect
2016-06-01 12:35 maite Target Version => 3.0PR16Q3
2016-06-01 12:36 maite Assigned To dmitry_mezentsev => Triage Finance
2016-06-01 12:50 aferraz Proposed Solution updated
2016-06-01 12:51 aferraz Assigned To Triage Finance => markmm82
2016-06-01 14:40 markmm82 Status new => scheduled
2016-06-08 14:44 aferraz Relationship added depends on 0033194
2016-06-09 11:27 aferraz Relationship added related to 0033205
2016-06-14 09:04 hgbot Checkin
2016-06-14 09:04 hgbot Note Added: 0087222
2016-06-14 09:04 hgbot Status scheduled => resolved
2016-06-14 09:04 hgbot Resolution open => fixed
2016-06-14 09:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/86811a139d3ee99634aeae39604931a5d393f613 [^]
2016-06-14 09:04 hgbot Checkin
2016-06-14 09:04 hgbot Note Added: 0087223
2016-06-14 09:04 hgbot Checkin
2016-06-14 09:04 hgbot Note Added: 0087224
2016-06-14 09:06 aferraz Review Assigned To => aferraz
2016-06-14 09:06 aferraz Note Added: 0087225
2016-06-14 09:06 aferraz Status resolved => closed
2016-06-14 09:06 aferraz Fixed in Version => 3.0PR16Q3
2016-06-16 17:38 hgbot Checkin
2016-06-16 17:38 hgbot Note Added: 0087361
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087611
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087612
2016-06-17 19:38 hudsonbot Checkin
2016-06-17 19:38 hudsonbot Note Added: 0087613
2016-06-29 12:54 hgbot Checkin
2016-06-29 12:54 hgbot Note Added: 0088076
2016-06-29 17:39 hudsonbot Checkin
2016-06-29 17:39 hudsonbot Note Added: 0088087
2017-11-30 11:20 ngarcia Relationship added related to 0037422
2018-03-26 13:26 ngarcia Relationship added related to 0038218


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker